#
# hop.rb
#
# $Id: hop.rb,v 1.1 2000/11/21 03:15:26 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 400
DT = 2*PI/(NMAX-1)

x = NumArray.new(Float, NMAX)
y = NumArray.new(Float, NMAX)

for n in 0..NMAX-1
  t = DT*n
  x[n] = 1e2*sin(4*t)
  y[n] = 1e-3*cos(5*t)+6
end

iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

ussttl('X-TITLE', 'x-unit', 'Y-TITLE', 'y-unit')
usgrph(NMAX, x, y)

grcls

